# NativeScript UUID Plugin ![apple](https://cdn3.iconfinder.com/data/icons/picons-social/57/16-apple-32.png) ![android](https://cdn4.iconfinder.com/data/icons/logos-3/228/android-32.png)


# Usage

See this example for Angular:
```typescript
import { Component, OnInit } from "@angular/core";
import {UniqueIdentifier} from "nativescript-unique-identifier"

@Component({
  selector: "ns-main",
  template: "<page-router-outlet></page-router-outlet>"
})
export class AppComponent {
    constructor() {
    } 
    
    ngOnInit(){
        let uuid = new UniqueIdentifier();
        console.log(uuid.getUUID());
     }
}

```
And for pure NativeScript:
```javascript
var plugin = require("nativescript-unique-identifier").UniqueIdentifier;
console.log(plugin.getUUID());

## Installation

```bash
$ tns plugin add nativescript-unique-identifier
```